VM_MAP_LOOKUP(9)

NAME
vm_map_lookup, vm_map_lookup_done - lookup the vm_object backing a given virtual region

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
int
vm_map_lookup(vm_map_t *var_map, vm_offset_t vaddr, vm_prot_t fault_type, vm_map_entry_t *out_entry, vm_object_t *object, vm_pindex_t *pindex, vm_prot_t *out_prot, boolean_t *wired);
void
vm_map_lookup_done(vm_map_t map, vm_map_entry_t entry);

DESCRIPTION
The vm_map_lookup() function attempts to find the vm_object, page index and protection, for the given virtual address vaddr, in the map var_map, assuming a page fault of the type fault_type had occurred.

Return values are guaranteed until vm_map_lookup_done() is called to release the lock.

IMPLEMENTATION NOTES
The function vm_map_lookup() acquires a read-lock on the map *var_map, but does not release it. The caller should invoke vm_map_lookup_done() in order to release this lock.

RETURN VALUES
The vm_map_lookup() function returns KERN_SUCCESS, and sets the *object, *pindex, *out_prot, and *out_entry arguments appropriately for the hypothetical page fault.

SEE ALSO
vm_map(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.